SDL_GDKGetTaskQueue(3)

NAME
SDL_GDKGetTaskQueue - Gets a reference to the global async task queue handle for GDK, initializing if needed.

HEADER FILE
Defined in SDL3/SDL_system.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GDKGetTaskQueue(XTaskQueueHandle * outTaskQueue);

DESCRIPTION
Once you are done with the task queue, you should call XTaskQueueCloseHandle to reduce the reference count to avoid a resource leak.

FUNCTION PARAMETERS

outTaskQueue
    a pointer to be filled in with task queue handle.

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.